const inquirer = require('inquirer')

module.exports = function(fn) {
  inquirer.prompt([{
    type: 'input',
    name: 'accessKey',
    message: 'Input qiniu accessKey: '
  }, {
    type: 'input',
    name: 'secretKey',
    message: 'Input qiniu secretKey: '
  }, {
    type: 'confirm',
    name: 'save',
    message: 'Whether to save the secret key',
    default: false
  }]).then(function(answer) {
    fn.apply(null, [answer])
  })
}